Skip to main content
GET
/
v1
/
orgs
/
{org_id}
/
notifications
/
List notifications
curl --request GET \
  --url https://api.arklow.io/v1/orgs/{org_id}/notifications/ \
  --header 'x-arklow-auth: <api-key>'
{
  "data": {
    "items": [
      {
        "id": "<string>",
        "type": "internal",
        "org_id": "<string>",
        "acknowledged": true,
        "updated_at": "2023-11-07T05:31:56Z",
        "variant": "general",
        "body": {
          "content_type": "markdown",
          "content": "<string>"
        },
        "deleted_at": "2023-11-07T05:31:56Z"
      }
    ],
    "count": 123
  },
  "errors": [
    {
      "code": "<string>",
      "message": "<string>"
    }
  ]
}

Authorizations

x-arklow-auth
string
header
required

Path Parameters

org_id
string
required
Pattern: ^[0-9]+$

Query Parameters

take
integer
Required range: 1 <= x <= 50
skip
integer
Required range: x >= 0
search
field
string
value
string
op
Available options:
eq
count_only
boolean
type
Available options:
internal
variant
Available options:
general
acknowledged
boolean

Response

200 - application/json

Default Response

data
object
required
errors
object[] | null
required